This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 206057 - Java Indexer should store metadata only in case of change
Summary: Java Indexer should store metadata only in case of change
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Source (show other bugs)
Version: 7.2
Hardware: All All
: P3 normal (vote)
Assignee: Tomas Zezula
URL:
Keywords: PLAN
Depends on:
Blocks:
 
Reported: 2011-12-07 09:26 UTC by Tomas Zezula
Modified: 2012-03-17 10:37 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-07 09:26:00 UTC
Currently JavaCustomIndexer always stores props, the non needed IO slows down up to date check.
Comment 1 Tomas Zezula 2012-03-16 08:39:35 UTC
Fixed jet-main 2f9cd7092a7e
Comment 2 Quality Engineering 2012-03-17 10:37:02 UTC
Integrated into 'main-golden', will be available in build *201203170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2f9cd7092a7e
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206057:Java Indexer should store metadata only in case of change